Page MenuHome

Eevee alpha texture shadow bug
Open, Confirmed, MediumPublic

Description

System Information
Operating system: Windows 10 pro
Graphics card: AMD Radeon Vega 64 Sapphire nitro+

Blender Version
Broken: 2.80, 552b2287db86, blender2.8, 2019-02-01
Worked: (optional)

Short description of error Eevee related! There are no shadows from image texture maps with alpha channel, if the blend mode is set to alpha clip and transparent shadow set to clip! As long as there is no image texture node linked to the shader it works (for example with checker tex.) but as soon as I put an image map into any slot, the shadows disappear!

Exact steps for others to reproduce the error

  • open the atached blend file
  • go in eevee viewport, shadow from cylinder and the alpha/checker map is there
  • open shader/node editor
  • put the image tex. node in one color slot from the checker or any other slot. Shadow will disappear! (at least with my PC - Setup)

Event Timeline

I can't replicate it. Transparent clip shadows work fine for me, although at first it appeared mostly opaque because the texture is too bright above the clip threshold. By dissapear you mean the shadow becomes fully opaque or fully transparent?

Ok, I've made some pics to show the issue.


In the Image above you see the behavior as expected. The cylinder and the transparent BSDF shader cast shadow on the cube behind them but...


As soon as I put the image texture node in the checker node or in any other slot, the shadows are completly gone. so I'm currently unable to create trees or hair with alpa textures and proper shadow casting in Eevee!

Yeah, this seems like a bug, although specific to your graphics. Let's hope Clement sees this

Sebastian Parborg (zeddb) triaged this task as Normal priority.

On my end I do not get any shadows at all unless I set the transparent shadow to opaque. I'm on linux using a AMD 290x. So even on the default cube, the shadows vanish for me if the alpha mode shadows are not set to opaque.

@Tibor Horvath (tibor81) I'm guessing you are using the latest drivers from AMD?
Can you attach the output of --debug-gpu?
https://docs.blender.org/manual/en/latest/render/workflows/command_line.html
blender.exe --debug-gpu > output.txt and load the scene and go into rendered mode. The output should be saved to output.txt, attach that file here.

I'm marking this as normal because I can't confirm the exact issue but there seems to be something going on here as I have issues on my end too.

Here's the requested File:

Forgot to say. Yes I'm using the latest graphics driver!

Hello !
The same issue is on my iMac:

Cant do any debugs though :(
OpenGL debug callback is not available on Apple.

Mac (27-inch, Mid 2010)
2.8 GHz Intel Core i5
ATI Radeon HD 5750 1024 MB

Ok, it seems like, this Bug is only related to AMD graphics cards or there Drivers!
It would be interesting to know, if the behavior is the same with Nvidia cards. If its not and it works for example with a gtx 1080 (ti), than it should be easier to isolate the error!

windows 10 here.
on my old Radeon HD 7600 it works well.
From Adaptive to Alpablend in clip mode and also in hashted mode

(my drivers are the obsolete one from 2016) legacy

nice to see... also the soft shadow.. works well

That is nice to see! have you also linked the image texture node in the black color slot of the checker node?! Without a linked img node my alpha clip shadow works also! The bug just appears with the alpha channel of the image texture node (at least by me)! With prodecural nodes it works...

Sebastian Parborg (zeddb) reopened this task as Open.EditedMar 31 2019, 12:03 PM
Sebastian Parborg (zeddb) lowered the priority of this task from Normal to Needs Information from User.

@Ali Najafi (shylon) I guess that the same issue happens as before? IE, it works on linux but with the latest windows drivers it is still not working?

well yesterday on windows build crashed when on hit viewport's render and today worked but same problem, on linux Manjaro with latest update, the blender's today build it crashed when i hit viewport's render.

I don't know, if the bugfix is already in the latest build from today. If yes then the bug is unfortunately still there (atleast by me). And it doesn't matter, if the latest driver or not! I've tried many of them due to instability of my system (graphic card). But it seems it is only windows 10 and AMD GPU related issue...

Sebastian Parborg (zeddb) raised the priority of this task from Needs Information from User to Normal.Apr 1 2019, 12:19 PM

Alpha maps in general stopped casting shadows for me in the recent 427c75e4c20b build although it did work in previous versions

Edit: I downloaded the latest 2.8 build and it got fixed.
Please dismiss my comment.

Any news, when this bug will be fixed?? I'm still unable to create trees or hair with alpa textures and proper shadow casting in Eevee!
And BTW I have now a AMD Radeon 7 and it is still the same issue!

@Jeroen Bakker (jbakker) can you reproduce this with the closed AMD drivers?

Before

After

Seems like I am able to reproduce the issue. On Linux AMD Pro

Sebastian Parborg (zeddb) raised the priority of this task from Normal to Confirmed, Medium.Tue, Jun 18, 1:50 PM